## mars.venus.editors.jeditsyntax
Class TextAreaDefaults

    java.lang.Object
      mars.venus.editors.jeditsyntax.TextAreaDefaults

    public class TextAreaDefaults

extends Object

Encapsulates default settings for a text area. This can be passed to the constructor once the necessary fields have been filled out. The advantage of doing this over calling lots of set() methods after creating the text area is that this method is faster.

Field Summary
`boolean` `blockCaret`
`boolean` `bracketHighlight`
`Color` `bracketHighlightColor`
`int` `caretBlinkRate`
`boolean` `caretBlinks`
`Color` `caretColor`
`boolean` `caretVisible`
`int` `cols`
`SyntaxDocument` `document`
`boolean` `editable`
`int` `electricScroll`
`Color` `eolMarkerColor`
`boolean` `eolMarkers`
`InputHandler` `inputHandler`
`boolean` `lineHighlight`
`Color` `lineHighlightColor`
`boolean` `paintInvalid`
`JPopupMenu` `popup`
`int` `rows`
`Color` `selectionColor`
`SyntaxStyle[]` `styles`
`int` `tabSize`

Constructor Summary
`TextAreaDefaults()`

Method Summary
`static TextAreaDefaults` `getDefaults()` Returns a new TextAreaDefaults object with the default values filled in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputHandler

    public InputHandler inputHandler

### document

    public SyntaxDocument document

### editable

    public boolean editable

### caretVisible

    public boolean caretVisible

### caretBlinks

    public boolean caretBlinks

### blockCaret

    public boolean blockCaret

### caretBlinkRate

    public int caretBlinkRate

### electricScroll

    public int electricScroll

### tabSize

    public int tabSize

### cols

    public int cols

### rows

    public int rows

### styles

    public SyntaxStyle[] styles

### caretColor

    public Color caretColor

### selectionColor

    public Color selectionColor

### lineHighlightColor

    public Color lineHighlightColor

### lineHighlight

    public boolean lineHighlight

### bracketHighlightColor

    public Color bracketHighlightColor

### bracketHighlight

    public boolean bracketHighlight

### eolMarkerColor

    public Color eolMarkerColor

### eolMarkers

    public boolean eolMarkers

### paintInvalid

    public boolean paintInvalid

### popup

    public JPopupMenu popup

Constructor Detail

### TextAreaDefaults

    public TextAreaDefaults()

Method Detail

### getDefaults

    public static TextAreaDefaults getDefaults()

  Returns a new TextAreaDefaults object with the default values filled in.